## hubzero-cms 20130705.2

=== debian/changelog ===
hubzero-cms (20130705.2-1) unstable; urgency=low

  * hzcms: typo fix 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 05 Jul 2013 14:39:49 -0400

## hubzero-cms 20130709.1

=== Makefile ===
# @package      hubzero-cms
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRSHAREDIR=$(DESTDIR)/usr/share
USRBINDIR=$(DESTDIR)/usr/bin
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

default all build:
	@true
	
install:
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms
	cp -r cms $(USRSHAREDIR)/hubzero-cms
	rm -fr $(USRSHAREDIR)/hubzero-cms/cms/.git
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
	install --mode 0770 -d $(VARLOGDIR)/apache2/daily
	install --mode 0770 -d $(VARLOGDIR)/apache2/imported
	install --mode 0750 -d $(VARLOGDIR)/apache2/archive
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/imported
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/archive
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily/cron

configure:
	if [ -e /etc/hubzero.conf ]; then sed -e "s/^\s*\[\s*default\s*]\s*$/[DEFAULT]/" --in-place /etc/hubzero.conf; fi
	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/daily
	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/imported
	install --mode 0770 --owner root --group www-data -d /var/log/apache2/archive
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/imported
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/archive
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily/cron
	
clean:
	@true

=== debian/changelog ===
hubzero-cms (20130709.1-1) unstable; urgency=low

  * hzcms: invalidate nscd caches when modifying ldap configuration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jul 2013 15:37:54 -0400

## hubzero-cms 20130709.2

=== debian/changelog ===
hubzero-cms (20130709.2-1) unstable; urgency=low

  * hzcms: use new serviceInit function to quietly restart spamassassin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jul 2013 16:42:47 -0400

## hubzero-cms 20130709.3

=== debian/changelog ===
hubzero-cms (20130709.3-1) unstable; urgency=low

  * hzcms: make sure all update method actions are
    also handled in main installer 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jul 2013 18:31:11 -0400

## hubzero-cms 20130709.4

=== debian/changelog ===
hubzero-cms (20130709.4-1) unstable; urgency=low

  * hzcms: cleanup sql updater 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jul 2013 19:05:22 -0400

## hubzero-cms 20130711.1

=== debian/changelog ===
hubzero-cms (20130711.1-1) unstable; urgency=low

  * change /topics help references to /wiki
  * remove files related to courses (1.2 feature)
  * fixed issue when sorting and filtering group resources
  * hzcms: cleanup
  * hzcms: fix admin,apps,hubrepo users/groups

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 11:53:25 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=$(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION=$(shell dpkg-parsechangelog  | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEBVERSION=$(shell dpkg-parsechangelog  | sed -ne 's,Version: ,,p')

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms install

# Build architecture-independent files here.
binary-indep: build install
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X /var/log/hubzero-cms -X /var/log/hubzero-cms/daily -X /var/log/hubzero-cms/imported -X /var/log/hubzero-cms/archive -X /var/log/apache2/daily -X /var/log/apache2/imported -X /var/log/apache2/archive -X /var/log/apache2 /var/log/hubzero-cms/daily/cron/ 
	chown root:adm $(CURDIR)/debian/hubzero-cms/var/log/apache2
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/daily
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/imported
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/archive
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/daily
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/daily/cron
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/imported
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/archive
	
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-cms 20130711.2

=== debian/changelog ===
hubzero-cms (20130711.2-1) unstable; urgency=low

  * improve detetection of need to fix hubrepo user
  * fix apps group description 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 15:35:17 -0400

## hubzero-cms 20130711.3

=== debian/changelog ===
hubzero-cms (20130711.3-1) unstable; urgency=low

  * fatfingered file before saving

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 15:40:59 -0400

=== debian/control ===
Source: hubzero-cms
Section: web
Priority: extra
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: hubzero-cms
Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap,python-argparse (>=1.1), python-pycurl, python-dateutil
Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
Architecture: all
Description: The HUBzero(R) Platform for Scientific Collaboration CMS
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not necessarily 100% compatible with) the Joomla! CMS <joomla.org>.

## hubzero-cms 20130711.4

=== debian/changelog ===
hubzero-cms (20130711.4-1) unstable; urgency=low

  * hzcms: check ldapsync setting before syncing
  * hzcms: sync users when configuring ldap

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 17:00:01 -0400

## hubzero-cms 20130711.5

=== debian/changelog ===
hubzero-cms (20130711.5-1) unstable; urgency=low

  * hzcms: fixed argparse setup to call correct configuration function in
           a few places

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 17:09:46 -0400

## hubzero-cms 20130711.6

=== debian/changelog ===
hubzero-cms (20130711.6-1) unstable; urgency=low

  * hzcms: make sure ldapSync set prior to use one way or the other 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 17:18:55 -0400

## hubzero-cms 20130712.1

=== debian/changelog ===
hubzero-cms (20130712.1-1) unstable; urgency=low

  * [COM_TOOLS] write tool version to db before running addrepo
  * hzcms: subversion, fuse, trac configuration fixes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 12 Jul 2013 13:03:01 -0400

## hubzero-cms 20130713.1

=== debian/changelog ===
hubzero-cms (20130713.1-1) unstable; urgency=low

  * hzcms: backtrack half a step on hub_template change in mw-client.conf
  * hzcms: explicitly truncate config files when rewriting them
  * hzcms: close file handles whether we write to handle or not

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Jul 2013 14:01:19 -0400

## hubzero-cms 20130713.2

=== debian/changelog ===
hubzero-cms (20130713.2-1) unstable; urgency=low

  * rewrite clientaction filexfer url to use location host

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Jul 2013 16:27:11 -0400

## hubzero-cms 20130716.1

=== debian/changelog ===
hubzero-cms (20130716.1-1) unstable; urgency=low

  *  add a couple 128x64 logos for filexfer default images

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Jul 2013 16:51:59 -0400

## hubzero-cms 20130716.2

=== debian/changelog ===
hubzero-cms (20130716.2-1) unstable; urgency=low

  * [TPL_HUBBASIC2012] filexfer css cleanup

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Jul 2013 17:07:34 -0400

## hubzero-cms 20130716.3

=== debian/changelog ===
hubzero-cms (20130716.3-1) unstable; urgency=low

  * properly initialize homedir parameter
  * hzcms: correct home directory prefix issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Jul 2013 19:04:39 -0400

## hubzero-cms 20130717.1

=== debian/changelog ===
hubzero-cms (20130717.1-1) unstable; urgency=low

  * hzcms: fix typo 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Jul 2013 10:52:27 -0400

## hubzero-cms 20130717.2

=== debian/changelog ===
hubzero-cms (20130717.2-1) unstable; urgency=low

  * hzcms: add hubShortName to hubconfiguration.php if needed 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Jul 2013 13:47:24 -0400

## hubzero-cms 20130717.3

=== debian/changelog ===
hubzero-cms (20130717.3-1) unstable; urgency=low

  * hzcms: make check for homedir param case sensitive when updating hub 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Jul 2013 14:07:36 -0400

## hubzero-cms 20130717.4

=== debian/changelog ===
hubzero-cms (20130717.4-1) unstable; urgency=low

  * [TPL_HUBBASIC2012] fix active link area in filexfer css

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Jul 2013 18:05:58 -0400

## hubzero-cms 20130801.1

=== debian/changelog ===
hubzero-cms (20130801.1-1) unstable; urgency=low

  * hzcms: fix handling of mode strings, fix permissions on /apps

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Aug 2013 09:49:38 -0400

## hubzero-cms 20130821.1

=== debian/changelog ===
hubzero-cms (20130821.1-1) unstable; urgency=low

  * [COM_WIKI] Fixed query for initial set up check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Aug 2013 18:08:57 -0400
